account:
  account_name: &account_name amartynov_new2
flavor:
  id: &flavor_id "t2.micro"
  cores: 2
  disk: 0
  name: "Micro Instance"
  ram: 613
image:
  id: "ami-6d1c2007_aws_amartynov_new2"
  image_id: &image_id "ami-6d1c2007"
  provider: "aws"
  provider_account: *account_name
  remote_user: "centos"
  name: &image_name "test-name"
network:
  cidr: 172.31.16.0/20
  vpcId: &vpc_id vpc-818e9ae4
  subnetId: &subnet_id subnet-ed631db4
  name: subnet-ed631db4
  zone: us-east-1b
provider_image:
  id: *image_id
  name: *image_name
  status: available
environment:
  id: aws_env
  run_list: []
  expires: null
  users: []
fake_account:
  account_name: test_aws_account
  description: This is test account for aws provider
  ssh_key: test_key_name
  access_key_id: foofoofoofoofoofoo
  secret_access_key: foofoofoofoofoo
  use_iam_profile: false
  storage_bucket_name: foo
category:
  id: &category_id "aws_category"
  provider:
    name: "aws"
    account: *account_name
    type: "server"
    flavor: *flavor_id
    image: *image_id
    vpc_id: *vpc_id
    subnet: *subnet_id
    security_groups: [ "defaults", "ssh_http_https" ]
  cm_tool:
    name: "chef"
server:
  project: cucumber_project
  environment: test
  category: *category_id
  name: aws_server

fake_account_mandatory_fields: ['account_name', 'ssh_key']
image_mandatory_fields: ['image_id', 'provider', 'provider_account', 'remote_user']
category_mandatory_fields: ['id', 'provider', 'cm_tool']
server_mandatory_fields: ['project', 'environment', 'category']
